/* getcalibration reads the given calibration files and sets up coord
 * transformations for ideal to row/column and vice versa.
 */

#include "test.h"

getcalibration (calfile)
	char *calfile;
{
char filename[200];
int ok;
double x, y;
int dummy, rcol, lcol, mcol, absrcol, abslcol, absmcol;

sprintf (filename, "%s.laix", calfile);
ok = coordasciirestore (filename);
ok = ok && coordstore (DISTORT(LEFT));
sprintf (filename, "%s.raix", calfile);
ok = ok && coordasciirestore (filename);
ok = ok && coordstore (DISTORT(RIGHT));
sprintf (filename, "%s.laxi", calfile);
ok = ok && coordasciirestore (filename);
ok = ok && coordstore (UNDISTORT(LEFT));
sprintf (filename, "%s.raxi", calfile);
ok = ok && coordasciirestore (filename);
ok = ok && coordstore (UNDISTORT(RIGHT));
if (!ok) printf ("calibration file not read in\n");
else printf ("done reading calibration data\n");
}
